use std::process::Command;
use std::env;
use std::path::Path;
    
fn main() {
    let out_dir = env::var("OUT_DIR").unwrap();

/*
extern crate gcc;
   gcc::Config::new()
        .file("src/md5sum.c")
        .include("src")
        .compile("libhashtoc.a");
     */
    
   let status = Command::new("make")
        .arg(&format!("OUT_DIR={}/", out_dir))
        .arg("SHIPPING")
        .status().unwrap();
    if (!status.success()) {
        panic!();
    }
    println!("cargo:rustc-link-search=native={}", out_dir);
    println!("cargo:rustc-link-lib=static=hash");
    println!("cargo:rustc-link-lib=dylib=crypto");
    
}

